Skip to content
This repository

nokogiri 1.5.5 build fail on Arch 3.4.4/gcc 4.7.1 #724

Open
jonforums opened this Issue July 05, 2012 · 0 comments

1 participant

Jon
Jon

C++ style comment at xml_document.c:159:37 causes gem update failure.


[jon@archee ~]$ uname -a
Linux archee 3.4.4-2-ARCH #1 SMP PREEMPT Sun Jun 24 17:28:37 UTC 2012 i686 GNU/Linux

[jon@archee ~]$ pacman -Q gcc
gcc 4.7.1-4

[jon@archee ~]$ pacman -Q libxml2
libxml2 2.7.8-2

[jon@archee ~]$ gem update nokogiri --user-install
...
xml_document.c:159:37: error: expected expression before '/' token

[jon@archee ~]$ CFLAGS=--std=c99 gem update nokogiri --user-install
Updating installed gems
Updating nokogiri
Building native extensions.  This could take a while...
Successfully installed nokogiri-1.5.5
Gems updated: nokogiri
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.